Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.java.ao.schema.ddl
Enum DDLActionType

    java.lang.Object
      java.lang.Enum<DDLActionType>
          net.java.ao.schema.ddl.DDLActionType

All Implemented Interfaces:
  Serializable, Comparable<DDLActionType>

    public enum DDLActionType

extends Enum<DDLActionType>

Specifies a specific DDL action type in a database-agnostic manner. This enum contains all of the DDL action types supported by ActiveObjects, regardless of the fact that not all databases support all of these actions.

Author:
  Daniel Spiewak

Enum Constant Summary
`ALTER_ADD_COLUMN`
`ALTER_ADD_KEY`
`ALTER_CHANGE_COLUMN`
`ALTER_DROP_COLUMN`
`ALTER_DROP_KEY`
`CREATE`
`CREATE_INDEX`
`DROP`
`DROP_INDEX`
`INSERT`

Method Summary
`static DDLActionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DDLActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final DDLActionType CREATE

### DROP

    public static final DDLActionType DROP

### ALTER_ADD_COLUMN

    public static final DDLActionType ALTER_ADD_COLUMN

### ALTER_CHANGE_COLUMN

    public static final DDLActionType ALTER_CHANGE_COLUMN

### ALTER_DROP_COLUMN

    public static final DDLActionType ALTER_DROP_COLUMN

### ALTER_ADD_KEY

    public static final DDLActionType ALTER_ADD_KEY

### ALTER_DROP_KEY

    public static final DDLActionType ALTER_DROP_KEY

### CREATE_INDEX

    public static final DDLActionType CREATE_INDEX

### DROP_INDEX

    public static final DDLActionType DROP_INDEX

### INSERT

    public static final DDLActionType INSERT

Method Detail

### values

    public static final DDLActionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DDLActionType c : DDLActionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DDLActionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2011. All Rights Reserved.